export interface ShipForwardVO {
  /**
   * $column.columnComment
   */
  id: string | number;

  /**
   * 采购单号
   */
  orderSn: string;

  /**
   * 采购店铺名称
   */
  storeName: string;

  /**
   * 产品唯一标识码
   */
  sku: string;

  /**
   * 产品全称
   */
  productName: string;

  /**
   * 实际发货数量
   */
  quantitySend: number;

  /**
   * 发货供应商名称
   */
  outSupplierName: string;

  /**
   * 发货供应商系统ID
   */
  outSupplierId: string | number;

  /**
   * 收货供应商名称
   */
  inSupplierName: string;

  /**
   * 收货供应商系统ID
   */
  inSupplierId: string | number;

  /**
   * 计划发货起始时间
   */
  shipmentStart: string;

  /**
   * 计划发货截止时间
   */
  shipmentEnd: string;

  /**
   * 订单跟进人姓名
   */
  trackerName: string;

  /**
   * 订单跟进人系统ID
   */
  trackerId: string | number;

  /**
   * 转发状态（pending=未转发，processing=转发中，completed=转发完成）
   */
  fwdStatus: string;

  /**
   * 发货时间
   */
  sendTime: string;

  /**
   * 采购单子项ID
   */
  orderDetailId?: string | number;
}

export interface ShipForwardForm extends BaseEntity {
  /**
   * $column.columnComment
   */
  id?: string | number;

  /**
   * 采购单号
   */
  orderSn?: string;
  inOrderSn?: string;

  /**
   * 采购店铺名称
   */
  storeName?: string;

  /**
   * 产品唯一标识码
   */
  sku?: string;

  /**
   * 产品全称
   */
  productName?: string;

  /**
   * 实际发货数量
   */
  quantitySend?: number;

  /**
   * 发货供应商名称
   */
  outSupplierName?: string;

  /**
   * 发货供应商系统ID
   */
  outSupplierId?: string | number;

  /**
   * 收货供应商名称
   */
  inSupplierName?: string;

  /**
   * 收货供应商系统ID
   */
  inSupplierId?: string | number;

  /**
   * 计划发货起始时间
   */
  shipmentStart?: string;

  /**
   * 计划发货截止时间
   */
  shipmentEnd?: string;

  /**
   * 订单跟进人姓名
   */
  trackerName?: string;

  /**
   * 订单跟进人系统ID
   */
  trackerId?: string | number;

  /**
   * 转发状态（pending=未转发，processing=转发中，completed=转发完成）
   */
  fwdStatus?: string;

  /**
   * 发货时间
   */
  sendTime?: string;

  expDeliveryDate?: string;

  boxNum?: number;
  totalPrice?: number;

  /**
   * 采购单子项ID
   */
  orderDetailId?: string | number;

  sfgAvlQty?: number | string;
  /**
   * 请求类型
   */
  type?: string;
}

export interface ShipForwardQuery extends PageQuery {
  /**
   * 采购单号
   */
  orderSn?: string;

  /**
   * 采购店铺名称
   */
  storeName?: string;

  /**
   * 产品唯一标识码
   */
  sku?: string;

  /**
   * 产品全称
   */
  productName?: string;

  /**
   * 实际发货数量
   */
  quantitySend?: number;

  /**
   * 发货供应商名称
   */
  outSupplierName?: string;

  /**
   * 发货供应商系统ID
   */
  outSupplierId?: string | number;

  /**
   * 收货供应商名称
   */
  inSupplierName?: string;

  /**
   * 收货供应商系统ID
   */
  inSupplierId?: string | number;

  /**
   * 计划发货起始时间
   */
  shipmentStart?: string;

  /**
   * 计划发货截止时间
   */
  shipmentEnd?: string;

  /**
   * 订单跟进人姓名
   */
  trackerName?: string;

  /**
   * 订单跟进人系统ID
   */
  trackerId?: string | number;

  /**
   * 转发状态（pending=未转发，processing=转发中，completed=转发完成）
   */
  fwdStatus?: string;

  /**
   * 发货时间
   */
  sendTime?: string;

  /**
   * 日期范围参数
   */
  params?: any;
  type: string;
}
